Bug 55767 - -- becomes a ligature
Summary: -- becomes a ligature
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: xmltex   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-06 12:41 UTC by Tim Waugh
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-28 23:15:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2001-11-06 12:41:10 UTC
Description of Problem:
xmltex does not disable ligatures.

Here is some XSL that works around the '--' problem for now (reported to 
docbook-apps):

<xsl:template name="fix-dash">
 <xsl:param name="str"/>
 <xsl:choose>
  <xsl:when test="contains($str,'--')">
   <xsl:value-of select="substring-before($str,'--')"/>
   <xsl:text>-&#x200b;-</xsl:text>
   <xsl:call-template name="fix-dash">
    <xsl:with-param name="str">
     <xsl:value-of select="substring-after($str,'--')"/>
    </xsl:with-param>
   </xsl:call-template>
  </xsl:when>
  <xsl:otherwise>
   <xsl:value-of select="$str"/>
  </xsl:otherwise>
 </xsl:choose>
</xsl:template>

<xsl:template match="text()">
 <xsl:call-template name="fix-dash">
  <xsl:with-param name="str" select="."/>
 </xsl:call-template>
</xsl:template>

Comment 1 Tim Waugh 2001-11-09 19:29:23 UTC
David Carlisle has a fix for this, but then passivetex breaks.  Waiting to see 
if Sebastian can fix that..


Comment 2 Tim Waugh 2001-12-06 14:00:30 UTC
Fixed in xmltex-20000118-4.



Note You need to log in before you can comment on or make changes to this bug.